org.custommonkey.xmlunit

## Class JAXPConstants.Properties

- java.lang.Object
- - org.custommonkey.xmlunit.JAXPConstants.Properties

Enclosing class:
  JAXPConstants

    public static final class JAXPConstants.Properties
    extends java.lang.Object

Utility constant class for JAXP Properties, typically used with `XMLReader#setProperty(String, Object)`.

### Field Summary

Fields
`static java.lang.String` `SCHEMA_LANGUAGE` Property name for the Schema Language being used.
`static java.lang.String` `SCHEMA_SOURCE` Property name for the Schema Location being used.

### Constructor Summary

Constructors
Constructor and Description
`JAXPConstants.Properties()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCHEMA_LANGUAGE

    public static final java.lang.String SCHEMA_LANGUAGE

Property name for the Schema Language being used. As of JAXP 1.2, only W3C Schema are supported.

See Also:
  `XMLConstants.W3C_XML_SCHEMA_NS_URI`, `http://java.sun.com/webservices/jaxp/change-requests-11.html`, Constant Field Values

#### SCHEMA_SOURCE

    public static final java.lang.String SCHEMA_SOURCE

Property name for the Schema Location being used.

See Also:
  `http://java.sun.com/webservices/jaxp/change-requests-11.html`, Constant Field Values

### Constructor Detail

#### JAXPConstants.Properties

    public JAXPConstants.Properties()